Analyze Results

The Ads & Measurement API provides the capability to read data at various levels, offering flexibility and granularity in the data you can access. Depending on your use case, you can choose to read data at the campaign, ad group, ad, or keyword level.

  • Ad Overview: This provides an overview of your ad campaign's performance, including metrics such as impressions, clicks, and spend. This information is updated on a daily basis, allowing you to stay up-to-date with your campaign's progress.

  • Ad Daily Insights: Detailed day-by-day information is available to help you compare campaign results over time. This allows you to identify trends and patterns in your campaign's performance and make informed decisions about how to optimize your advertising efforts. This information is updated on a daily basis.

  • Conversion Insights: The API provides summary statistics per conversion, allowing you to track how well your keywords are performing. This information is updated on a daily basis, giving you insights into your campaign's conversion rates.

  • Events List: For granular information about each conversion event, the API provides an events list that is updated instantly. This feature allows you to track individual events and analyze their impact on your campaign's overall performance.

Ad Overview

Read Ad

GET https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}

Send a GET request to get a summary Insights for the respective Ad;

The data is calculated by aggregating daily Ad Insights, starting from the moment when the first conversion event is set up for the Ad.

{
  "id": "23852030589290425",
  "app_id": "93310",
  "name": "CTWA Ad Campaign",
  "status": "ACTIVE",
  "created_time": "2022-11-30T14:05:08+0100",
  "updated_time": "2022-11-30T14:05:08+0100",
  "ad_account": {
    "id": "174816537731874",
    "name": "360dialog.com - Ad-Account",
    "currency": "EUR"
  },
  "campaign": {
    "name": "CTWA campaign",
    "start_time": "2022-11-30T14:05:08+0100"
  },
  "page": {
    "id": "460293477343848",
    "name": "360dialog"
  },
  "insight": {
    "ad_id": "23851172049950328",
    "date": "2023-02-28T08:01:15.667Z",
    "clicks": 541,
    "cpc": 0.8,
    "cpm": 28.04,
    "ctr": 3.5,
    "impressions": 15452,
    "spend": 433.3,
    "sessions": 498,
    "unique_users": 495,
    "keywords": [
      {
        "id": "63c17bd6e70a8674f0edb386",
        "name": "Product ordered",
        "events_count": 10,
        "cvr": 2.04
      }
    ]
  }
}

Daily Ad Insights

Read Ad Insights (Daily)

GET https://api.signals.360dialog.io/v1 /app/{app_id}/ads/{ad_id}/insights

Send a GET request and get Daily Insights for Ad;

Required date_from and date_to GET-params.

Query Parameters

Name
Type
Description

date_to

string

Date in format YYYY-MM-DD

date_from

string

Date in format YYYY-MM-DD

Refresh Ads Insights

If you need fresh data and don't want to wait until the regular daily updates, you can initiate a manual refresh process.

Refresh Ads Insights

POST https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}/refresh

Refresh Ad Insights and Conversion statistics

Conversion (Keyword) Insights

Retrieve conversion (keyword)

GET https://api.signals.360dialog.io/v1 /app/{app_id}/ads/{ad_id}/keywords/{keyword_id}

Send a GET request and read Conversion (Keyword) by id.

Events list (Match for Keywords in conversation)

Retrieve list of events

GET https://api.signals.360dialog.io/v1/app/{app_id}/ads/{ad_id}/keywords/{keyword_id}/events

Send a GET request and read list of Events (Match for Keywords in conversation);

The API supports pagination concept: offset & limit params;

Required date_from AND date_to GET-params (system add time automatically: from 00:00:00 to 23:59:59)

Query Parameters

Name
Type
Description

offset

string

Starts from 0

limit

string

From 1 to 1000; Default 100.

date_from

string

Date in format YYYY-MM-DD

date_from

string

Date in format YYYY-MM-DD

Export events (Match for Keywords in conversation)

Export list of events

GET https://api.signals.360dialog.io/v1 /app/{app_id}/ads/{ad_id}/keywords/{keyword_id}/events/export

Send a GET request and export a list of Events (Match for Keywords in conversation);

Required date_from AND date_to GET-params (system add time automatically: from 00:00:00 to 23:59:59)

Query Parameters

Name
Type
Description

date_from

string

Date in format YYYY-MM-DD

date_from

string

Date in format YYYY-MM-DD

Last updated

Was this helpful?